[Roundcube](https://roundcube.net/) webmail interface with postgres backend.

# Environment Variables
## DOMAINS
Semicolon seperated list of domains to listen to.

## DB_USER
Name of the database user.

## DB_PASSWORD
Password for the database user.

## DB_HOST
Database host.

## DB_NAME
Database name.

## IMAP_HOST
- default: tls://%n

IMAP host to authenticate users against.

## SMTP_HOST
- default: tls://%n

SMTP host for sending mails.

## SMTP_PORT
- default: 587

Port for the SMTP host.

## SECRET_KEY
Secret key for session secrets.

## CIPHER_METHOD
- default: AES-256-CBC

Encryption algorithm for session secrets.

## CARDDAV_PRESETS
Configured preset addressbooks are created for a user as they log in.

For example:
```$prefs['Personal'] = array(
	// required attributes
	'name'         =>  'Personal',
	// will be substituted for the roundcube username
	'username'     =>  '%u',
	// will be substituted for the roundcube password
	'password'     =>  '%p',
	// %u will be substituted for the CardDAV username
	'url'          =>  'https://my.nextcloud.org/remote.php/dav/addressbooks/users/%u/contacts/',

	'active'       =>  true,
	'readonly'     =>  false,
	'refresh_time' => '02:00:00',

	'fixed'        =>  array( 'username' ),
	'hide'        =>  false,
);

```

# Ports
- 80

# Capabilities
- CHOWN
- DAC_OVERRIDE
- NET_BIND_SERVICE
- SETGID
- SETUID
